Subject: linux-next: build failure after merge of the folio tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 28 Feb 2022 23:53:56 +1100

Hi all,

After merging the folio tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

mm/mmap.c: In function 'do_mas_align_munmap':
mm/mmap.c:2375:25: error: implicit declaration of function 'munlock_vma_pages_all'; did you mean 'munlock_vma_page'? [-Werror=implicit-function-declaration]
 2375 |                         munlock_vma_pages_all(next);
      |                         ^~~~~~~~~~~~~~~~~~~~~
      |                         munlock_vma_page
mm/mmap.c: In function 'do_brk_munmap':
mm/mmap.c:2908:17: error: implicit declaration of function 'munlock_vma_pages_range'; did you mean 'count_vma_pages_range'? [-Werror=implicit-function-declaration]
 2908 |                 munlock_vma_pages_range(&unmap, newbrk, oldbrk);
      |                 ^~~~~~~~~~~~~~~~~~~~~~~
      |                 count_vma_pages_range

Caused by commits

  a213e5cf71cb ("mm/munlock: delete munlock_vma_pages_all(), allow oomreap")
  34b6792380ce ("mm/munlock: mlock_pte_range() when mlocking or munlocking")

interacting with commits

  99f86dff3df6 ("mm/mmap: Change do_brk_flags() to expand existing VMA and add do_brk_munmap()")
  04552dc1edc5 ("mm: Remove the vma linked list")

from the maple tree.

Given other feedback about the maple tree, I have dropped it for today.

I am not sure what effect this will have on Andrew's patch series, but
I guess I will find out shortly :-(
-- 
Cheers,
Stephen Rothwell